package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseUpdateRequest;
import ${basePackage}.frame.validation.Dict;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * ProfilesUpdateRequest - 系统配置更新
 *
 * @author author
 * @version 0.0.1
 * @since 2020-05-24
 */
public class ProfilesUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 环境.
     */
    @NotNull(message = "[active]环境不能为NULL")
    @Dict(name = "ACTIVE")
    private String active;

    /**
     * 键
     */
    @NotBlank(message = "[key]键不能为空")
    @Length(min = 0, max = 50, message = "[key]键长度不合法(0-50)")
    private String key;

    /**
     * 值
     */
    @NotBlank(message = "[value]值不能为空")
    @Length(min = 0, max = 50, message = "[value]值长度不合法(0-50)")
    private String value;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getActive() {
        return this.active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
